/*
 * QMPDClient - An MPD client written in Qt 4.
 * Copyright (C) 2005-2006 Hvard Tautra Knutsen <havtknut@tihlde.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "mpdoutput.h"

class MPDOutputPrivate {
public:
	QAtomic ref;
	bool m_enabled;
	int m_id;
	QString m_name;
	MPDOutputPrivate() :
			ref(1),
			m_enabled(false),
	m_id(-1) {}}
;

MPDOutput::MPDOutput() {
	d = new MPDOutputPrivate();
}

MPDOutput::MPDOutput(mpd_OutputEntity *e) {
	d = new MPDOutputPrivate();
	d->m_enabled = e->enabled;
	d->m_name = e->name;
	d->m_id = e->id;
}

MPDOutput::MPDOutput(const MPDOutput &other) {
	d = other.d;
	d->ref.ref();
}

MPDOutput::~MPDOutput() {
	if (!d->ref.deref())
		delete d;
}

QString MPDOutput::name() const {
	return d->m_name;
}
int MPDOutput::id() const {
	return d->m_id;
}
bool MPDOutput::enabled() const {
	return d->m_enabled;
}

MPDOutput &MPDOutput::operator=(const MPDOutput &other) {
	qAtomicAssign(d, other.d);
	return *this;
}

